Announcement

Collapse
No announcement yet.

X.Org Server 1.20 Breaks The Video Driver ABI

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • X.Org Server 1.20 Breaks The Video Driver ABI

    Phoronix: X.Org Server 1.20 Breaks The Video Driver ABI

    Just a quick note for anyone who routinely builds the latest X.Org Server from Git, the video driver ABI has been broken again, thus you'll need to rebuild your dependent DDX drivers assuming they have been modified for this new ABI...

    http://www.phoronix.com/scan.php?pag...1.20-video-abi

  • #2
    I guess we reached a point where we can drop this act. If after each release the abi change, we can say its useless to specify and abi.

    Comment


    • #3
      Things breaks during development - normal thing. Sometimes unintentionally, sometimes intentionally... imagine ant killer, that is it

      Comment


      • #4
        I guess this causes most problems for people using nvidia blob.

        Anyway. I need try out that sway again. Switching from i3 to sway has been my plan for quite long now, but I've kept using i3 because I can't get my track ball to work propely (hold button to activate scrolling) with it.

        Comment


        • #5
          Yes, this usually causes the most problems for people using the nvidia blob.
          Originally posted by Nille View Post
          I guess we reached a point where we can drop this act. If after each release the abi change, we can say its useless to specify and abi.
          I'm not sure I understand what you are saying, but if they don't specify an ABI, xorg video drivers won't work to begin with.
          If they don't change the ABI version, drivers using the old ABI functionality will think they can work with the new release but then crash when they discover they can't.

          Comment


          • #6
            Xorg... is that still a thing? I thought we had dropped it at the end of the mesozoic era.

            Comment


            • #7
              Originally posted by Amarildo View Post
              Xorg... is that still a thing? I thought we had dropped it at the end of the mesozoic era.
              Canonical don't bother to even ship 1.19 update.

              Comment


              • #8
                It's not broken the ABI has been changed - which is why it's versioned in the first place, yes it causes hassle for folk using the blobs but please stop going around saying things are broken when the ABI is doing exactly what its designed to do

                Comment


                • #9
                  Originally posted by FireBurn View Post
                  It's not broken the ABI has been changed - which is why it's versioned in the first place, yes it causes hassle for folk using the blobs but please stop going around saying things are broken when the ABI is doing exactly what its designed to do
                  This is usually called ABI breakage, he's not being critical or anything.

                  Comment


                  • #10
                    Originally posted by Amarildo View Post
                    Xorg... is that still a thing? I thought we had dropped it at the end of the mesozoic era.
                    "Dropping" Xorg is not up to Xorg developers. It's up to toolkits and applications to support something else.

                    Comment

                    Working...
                    X